alias ls='exa -al --color=always --group-directories-first'
alias cat='bat'
alias rm='rm -i'
alias cp='cp -i'
alias mv='mv -i'

alias sc-status="sudo systemctl status"
alias sc-start="sudo systemctl start"
alias sc-stop="sudo systemctl stop"
alias sc-reload="sudo systemctl reload"
alias sc-restart="sudo systemctl restart"
alias sc-enable="sudo systemctl enable"
alias sc-disable="sudo systemctl disable"
alias sc-daemon-reload="sudo systemctl daemon-reload"

alias termbin="nc termbin.com 9999"

dotupdate () {
    pushd ~/.config/dotfiles &>/dev/null
    echo -n "Updating Dotfiles... "
    git pull &>/dev/null
    echo "done"
    popd &>/dev/null
}

themeupdate () { curl -fsSL https://starship.rs/install.sh | bash }

sheldonup () { curl --proto '=https' -fLsS https://rossmacarthur.github.io/install/crate.sh | sudo bash -s -- --force --repo rossmacarthur/sheldon --to /usr/local/bin }
